#include <stdio.h>
#include "exodecr.h"


char packed_image[12706];
char unpacked_image[77568];

int main(int argc, char *argv[]) {

	int i;

	// get packed data into memory
	FILE* infile = fopen("pulse.exomized", "r");
	for(i=0; i<sizeof(packed_image); i++) {
		packed_image[i] = fgetc(infile);
	}
	fclose(infile);

	// decode
	exo_decrunch( 
		packed_image+sizeof(packed_image), 
		unpacked_image+sizeof(unpacked_image)
	);

	// write unpacked data to disk
	FILE* outfile = fopen("pulse.deexomized", "w");
	for(i=sizeof(unpacked_image)-1; i>=0; i--) {
		fputc(unpacked_image[i], outfile);
	}
	fclose(outfile);
	
	return 0;
}
